﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_POLICYPARSE') 
 CREATE TABLE T_MSRCS_POLICYPARSE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOLICYENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITIONGROUPENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREBATEFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREBATEFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREBATESCHEMAID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_POLICYPARSE_L') 
 CREATE TABLE T_MSRCS_POLICYPARSE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_POLICYPARSERC') 
 CREATE TABLE T_MSRCS_POLICYPARSERC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVARCOL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCECOL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCECOLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEENTRYKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCECOLVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCECOLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_POLICYPARSERE') 
 CREATE TABLE T_MSRCS_POLICYPARSERE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONDITIONTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FPOLICYCOL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOLICYCOLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHMODE VARCHAR(10) DEFAULT 'eq' NOT NULL,
FMODELCOL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELCOLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATCHPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATECLASS') 
 CREATE TABLE T_MSRCS_REBATECLASS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREBATESCHEMAID BIGINT DEFAULT 0 NOT NULL,
FREBATEFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREBATEFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATECLASS_L') 
 CREATE TABLE T_MSRCS_REBATECLASS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATEFACTOR') 
 CREATE TABLE T_MSRCS_REBATEFACTOR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEMODEL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMULA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FFORMULADESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATISTICMETHOD CHAR(1) DEFAULT 'A' NOT NULL,
FSTATISTICDIMENSION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDKEY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCUSTOMPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATEFACTOR_L') 
 CREATE TABLE T_MSRCS_REBATEFACTOR_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATEFACTORDE') 
 CREATE TABLE T_MSRCS_REBATEFACTORDE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMENSION NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDIMFORMULA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCOMPAREOPERATOR VARCHAR(10) DEFAULT ' ' NOT NULL,
FDIMFORMULADESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATEFORMULA') 
 CREATE TABLE T_MSRCS_REBATEFORMULA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FORMULATYPE CHAR(1) DEFAULT 'A' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATEFORMULA_L') 
 CREATE TABLE T_MSRCS_REBATEFORMULA_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MSRCS_REBATEFORMULAE') 
 CREATE TABLE T_MSRCS_REBATEFORMULAE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVARNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MSRCS_table.sql **/
